import { ContentDefinition } from './content-definition';
export declare abstract class StyleDefinition<T extends StyleDefinition<T, I>, I> extends ContentDefinition<T, I> {
    fontSize(size: number): T;
    width(size: number): T;
    height(size: number): T;
    alignment(align: 'center' | 'left' | 'right' | 'justify'): T;
    bold(): T;
    italics(): T;
    margin(margin: number | [number, number] | [number, number, number, number]): T;
    style(style: string | string[]): T;
    color(color: string): T;
    background(background: string): T;
    link(link: string): T;
    linkToPage(page: number): T;
    noWrap(): T;
    decoration(decoration: 'underline' | 'lineThrough' | 'overline'): T;
    decorationStyle(decorationStyle: 'dashed' | 'dotted' | 'double' | 'wavy'): T;
    decorationColor(decorationColor: string): T;
    fontFeatures(fontFeatures: ('smcp' | 'c2sc' | 'onum')[]): T;
}
//# sourceMappingURL=style-definition.d.ts.map