import pdfMake from "pdfmake/build/pdfmake";
import pdfFonts from "pdfmake/build/vfs_fonts";
pdfMake.vfs = pdfFonts.pdfMake.vfs;
var PdfMakeWrapper = (function () {
    function PdfMakeWrapper() {
        this.definition = {
            content: []
        };
    }
    PdfMakeWrapper.prototype.add = function (content) {
        this.definition.content.push(content);
    };
    PdfMakeWrapper.prototype.images = function (imgs) {
        var newImgs = {};
        for (var p in imgs) {
            if (typeof imgs[p] === 'string' && /^data:image\/(jpeg|png|jpg);base64,/.test(imgs[p])) {
                newImgs[p] = imgs[p];
            }
            else if (typeof imgs[p] !== 'string') {
                newImgs[p] = imgs[p].image;
            }
        }
        this.definition.images = newImgs;
    };
    PdfMakeWrapper.prototype.styles = function (styles) {
        this.definition.styles = styles;
    };
    PdfMakeWrapper.prototype.defaultStyle = function (styles) {
        this.definition.defaultStyle = styles;
    };
    PdfMakeWrapper.prototype.header = function (header) {
        this.definition.header = header;
    };
    PdfMakeWrapper.prototype.footer = function (footer) {
        this.definition.footer = footer;
    };
    PdfMakeWrapper.prototype.background = function (background) {
        this.definition.background = background;
    };
    PdfMakeWrapper.prototype.pageSize = function (size) {
        this.definition.pageSize = size;
    };
    PdfMakeWrapper.prototype.pageMargins = function (margin) {
        this.definition.pageMargins = margin;
    };
    PdfMakeWrapper.prototype.pageOrientation = function (orientation) {
        this.definition.pageOrientation = orientation;
    };
    PdfMakeWrapper.prototype.pageBreakBefore = function (breakBefore) {
        this.definition.pageBreakBefore = breakBefore;
    };
    PdfMakeWrapper.prototype.info = function (info) {
        this.definition.info = info;
    };
    PdfMakeWrapper.prototype.compress = function (compress) {
        this.definition.compress = compress;
    };
    PdfMakeWrapper.prototype.watermark = function (watermark) {
        this.definition.watermark = watermark;
    };
    PdfMakeWrapper.prototype.rawContent = function (content) {
        this.definition.content = content;
    };
    PdfMakeWrapper.prototype.create = function () {
        return pdfMake.createPdf(this.definition);
    };
    PdfMakeWrapper.prototype.ln = function (num) {
        if (num === void 0) { num = 1; }
        if (num < 1)
            num = 1;
        return '\n'.repeat(num);
    };
    return PdfMakeWrapper;
}());
export { PdfMakeWrapper };
//# sourceMappingURL=pdfmake-wrapper.js.map